Bug: https://bugs.gentoo.org/show_bug.cgi?id=627208
Upstream commit: http://bazaar.launchpad.net/~lightdm-gtk-greeter-team/lightdm-gtk-greeter/trunk/revision/350

--- a/src/lightdm-gtk-greeter.c
+++ b/src/lightdm-gtk-greeter.c
@@ -1937,11 +1937,11 @@
     {
         gtk_widget_show (GTK_WIDGET (username_entry));
         gtk_widget_show (GTK_WIDGET (cancel_button));
-        lightdm_greeter_authenticate (greeter, NULL);
+        lightdm_greeter_authenticate (greeter, NULL, NULL);
     }
     else if (g_strcmp0 (username, "*guest") == 0)
     {
-        lightdm_greeter_authenticate_as_guest (greeter);
+        lightdm_greeter_authenticate_as_guest (greeter, NULL);
     }
     else
     {
@@ -1961,7 +1961,7 @@
             set_language (NULL);
         }
 
-        lightdm_greeter_authenticate (greeter, username);
+        lightdm_greeter_authenticate (greeter, username, NULL);
     }
 }
 
@@ -1983,7 +1983,7 @@
     if (lightdm_greeter_get_in_authentication (greeter))
     {
         cancelling = TRUE;
-        lightdm_greeter_cancel_authentication (greeter);
+        lightdm_greeter_cancel_authentication (greeter, NULL);
         set_message_label (LIGHTDM_MESSAGE_TYPE_INFO, NULL);
     }
 
@@ -2017,7 +2017,7 @@
 
     language = get_language ();
     if (language)
-        lightdm_greeter_set_language (greeter, language);
+        lightdm_greeter_set_language (greeter, language, NULL);
     g_free (language);
 
     session = get_session ();
@@ -2238,7 +2238,7 @@
         start_session ();
     else if (lightdm_greeter_get_in_authentication (greeter))
     {
-        lightdm_greeter_respond (greeter, gtk_entry_get_text (password_entry));
+        lightdm_greeter_respond (greeter, gtk_entry_get_text (password_entry), NULL);
         /* If we have questions pending, then we continue processing
          * those, until we are done. (Otherwise, authentication will
          * not complete.) */
@@ -2331,7 +2331,7 @@
             }
         }
         else
-            lightdm_greeter_authenticate_autologin (greeter);
+            lightdm_greeter_authenticate_autologin (greeter, NULL);
     }
 }
 
